org.jboss.jca.core.workmanager

## Class WorkManagerEvent

- java.lang.Object
- - org.jboss.jca.core.workmanager.WorkManagerEvent

-     public class WorkManagerEvent
      extends java.lang.Object

  A WorkManager event
  Author:
    Jesper Pedersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_JOIN` JOIN
    `static int` | `TYPE_LEAVE` LEAVE
    `static int` | `TYPE_UPDATE_LONG_RUNNING` UPDATE_LONG_RUNNING
    `static int` | `TYPE_UPDATE_SHORT_RUNNING` UPDATE_SHORT_RUNNING

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkManagerEvent(int type, org.jboss.jca.core.spi.workmanager.Address address)` Constructor
    `WorkManagerEvent(int type, org.jboss.jca.core.spi.workmanager.Address address, long value)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `org.jboss.jca.core.spi.workmanager.Address` | `getAddress()` Get the address
    `int` | `getType()` Get the type
    `long` | `getValue()` Get the value
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_JOIN

          public static final int TYPE_JOIN

      JOIN
      See Also:
        Constant Field Values

    - #### TYPE_LEAVE

          public static final int TYPE_LEAVE

      LEAVE
      See Also:
        Constant Field Values

    - #### TYPE_UPDATE_SHORT_RUNNING

          public static final int TYPE_UPDATE_SHORT_RUNNING

      UPDATE_SHORT_RUNNING
      See Also:
        Constant Field Values

    - #### TYPE_UPDATE_LONG_RUNNING

          public static final int TYPE_UPDATE_LONG_RUNNING

      UPDATE_LONG_RUNNING
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WorkManagerEvent

          public WorkManagerEvent(int type,
                                  org.jboss.jca.core.spi.workmanager.Address address)

      Constructor
      Parameters:
        `type` - The type
        `address` - The address

    - #### WorkManagerEvent

          public WorkManagerEvent(int type,
                                  org.jboss.jca.core.spi.workmanager.Address address,
                                  long value)

      Constructor
      Parameters:
        `type` - The type
        `address` - The address
        `value` - The value for the type

  - ### Method Detail

    - #### getType

          public int getType()

      Get the type
      Returns:
        The value

    - #### getAddress

          public org.jboss.jca.core.spi.workmanager.Address getAddress()

      Get the address
      Returns:
        The value

    - #### getValue

          public long getValue()

      Get the value
      Returns:
        The value

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)